Unix
Mac OS X
iOS
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module signature Methods

## SignatureImage

SignatureImage() computes a message digest from an image pixel stream with an implementation of the NIST SHA-256 Message Digest algorithm. This signature uniquely identifies the image and is convenient for determining if an image has been modified or whether two images are identical.

The format of the SignatureImage method is:

      MagickBooleanType SignatureImage(Image *image)

A description of each parameter follows:

##### image

the image.

Public Key • Discourse Server • Studio • JqMagick